getpid                 package:base                 R Documentation

Get the Process ID of the R Session

Description:

     Get the process ID of the R Session.  It is guaranteed by the
     operating system that two R sessions running simultaneously will
     have different IDs, but it is possible that R sessions running at
     different times will have the same ID.

Usage:

     Sys.getpid()

Value:

     An integer, usually a small integer between 0 and 32767 under
     Unix-alikes and a much small integer under Windows.

Examples:

     Sys.getpid()

